Bug 1294856 - Review Request: python3-pytest - Simple powerful testing with Python
Review Request: python3-pytest - Simple powerful testing with Python
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
epel7
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: John Dulaney
Fedora Extras Quality Assurance
:
Depends On: 1294704 1294711 1294713
Blocks: 1290393 1292016 1294865
  Show dependency treegraph
 
Reported: 2015-12-30 12:28 EST by Orion Poplawski
Modified: 2016-01-23 20:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 20:05:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jdulaney: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-12-30 12:28:21 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-pytest.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-pytest-2.8.5-1.el7.src.rpm
Description: 
py.test provides simple, yet powerful testing for Python.

Fedora Account System Username: orion
Comment 1 John Dulaney 2015-12-30 12:51:29 EST
Build currently fails with:

DEBUG util.py:399:  Error: No Package found for python34-mock
DEBUG util.py:399:  Error: No Package found for python34-py >= 1.4.29
DEBUG util.py:399:  Error: No Package found for python34-setuptools
Comment 2 Orion Poplawski 2015-12-30 12:54:30 EST
Right - that's why this bug depends on those reviews/packages.
Comment 3 Orion Poplawski 2015-12-30 13:29:20 EST
Copr: https://copr.fedoraproject.org/coprs/g/python/python3_epel7/
Comment 4 John Dulaney 2015-12-30 14:04:52 EST
Sorry, I missed that.
Comment 5 John Dulaney 2015-12-30 14:06:01 EST
jdulaney@gefjon:~/rpmbuild$ rpmlint ./python3-pytest.spec 
./python3-pytest.spec:25: W: macro-in-comment %{python3_pkgversion}
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
jdulaney@gefjon:~/rpmbuild$ rpmlint ./python3-pytest-2.8.5-1.el7.src.rpm 
python3-pytest.src: W: spelling-error %description -l en_US py -> pt, p, y
python3-pytest.src:25: W: macro-in-comment %{python3_pkgversion}
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 6 Orion Poplawski 2015-12-30 16:02:11 EST
Yeah, I don't care about either of those.
Comment 7 Orion Poplawski 2015-12-30 18:33:13 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-pytest.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-pytest-2.8.5-2.el7.src.rpm

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 2.8.5-2
- Use github tarball for source
Comment 8 John Dulaney 2015-12-30 20:31:01 EST
Oh, I was merely posting for info.
Comment 9 John Dulaney 2016-01-04 15:09:59 EST
http://www.cora.nwra.com/~orion/fedora/python3-pytest-2.8.5-2.el7.src.rpm is 404ing.  Do you mind reuploading?
Comment 10 Orion Poplawski 2016-01-04 15:49:56 EST
Sorry, should be okay now.
Comment 11 John Dulaney 2016-01-04 21:11:09 EST
%package -n python%{python3_pkgversion}-pytest
Summary:        Simple powerful testing with Python
Group:          Development/Languages
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-py >= %{pylib_version}

Okay, kill the Group there, and you should be good to go.
Comment 12 Orion Poplawski 2016-01-05 10:47:30 EST
Group dropped.
Comment 13 John Dulaney 2016-01-05 11:45:28 EST
Approved.
Comment 14 Gwyn Ciesla 2016-01-06 14:11:12 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-pytest
Comment 15 Fedora Update System 2016-01-08 16:14:10 EST
python3-pytest-2.8.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-27a0a9c2cb
Comment 16 Fedora Update System 2016-01-09 12:51:26 EST
python3-pytest-2.8.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-27a0a9c2cb
Comment 17 Fedora Update System 2016-01-23 20:05:21 EST
python3-pytest-2.8.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.